<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.lz.modules.app.dao.StaffEducationDao">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.lz.modules.app.entity.StaffEducationEntity" id="staffEducationMap">
        <result property="id" column="id"/>
        <result property="isDelete" column="is_delete"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
        <result property="staffId" column="staff_id"/>
        <result property="education" column="education"/>
        <result property="graduatedSchool" column="graduated_school"/>
        <result property="specialty" column="specialty"/>
        <result property="graduationTime" column="graduation_time"/>
    </resultMap>

    <select id="getInfoByStaffId" resultType="com.lz.modules.app.dto.StaffEducationInfoDto">
        select education,graduated_school,specialty,DATE_FORMAT(graduation_time,'%Y-%m-%d') graduation_time from lz_staff_education where is_delete=0 and staff_id=#{staffId}
    </select>


</mapper>
